=== debian/changelog ===
sozi (11.07-1) unstable; urgency=low

  * Initial release (Closes: #638533)

 -- Kan-Ru Chen <koster@debian.org>  Sun, 18 Sep 2011 14:38:45 +0800
