=== debian/control ===
Source: sozi
Section: graphics 
Priority: optional
Maintainer: Kan-Ru Chen <koster@debian.org>
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.2
Homepage: http://sozi.baierouge.fr/wiki/en:welcome
Vcs-Git: git://git.debian.org/collab-maint/sozi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sozi.git;a=summary

Package: sozi
Architecture: all
Depends: ${misc:Depends}, inkscape, python, python-gtk2
Description: inkscape extension for creating animated presentations
 Unlike in most presentation applications, a Sozi document is not
 organized as a slideshow, but rather as a poster where the content of
 your presentation can be freely laid out. Playing such a presentation
 consists in a series of translations, zooms and rotations that allow
 to focus on the elements you want to show.
 .
 A Sozi presentation is an SVG document in which a sequence of “frames”
 is defined. A frame is a rectangular region of the document associated
 with presentation and animation information (e.g. title, ordering,
 transition duration).
 .
 The presentation editor is an extension for the Inkscape vector
 graphics editor. It means that you can create an entire presentation,
 graphics and animation, within a single environment.
 .
 Documents produced by Inkscape and Sozi can be displayed and animated
 by web browsers supporting the SVG format, and the Javascript
 language. The user can control the presentation using the mouse and
 keyboard.
