=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	mkdir release
	make

override_dh_auto_clean:
	rm -rf release

override_dh_auto_install:

%:
	dh $@
