=== editors/CMakeLists.txt ===
ADD_SUBDIRECTORY(inkscape)
