=== debian/changelog ===
sozi (12.05-1) unstable; urgency=low

  * New upstream release (Closes: #676002)
  * README.source
    - Explain why the orig tarball is repackaged.
  * debian/copyright
    - Update Format url.
  * debian/control
    - Update Standards-Version to 3.9.3.
    - Add Depends python-lxml (Closes: #676354).

 -- Kan-Ru Chen <koster@debian.org>  Tue, 12 Jun 2012 18:04:46 +0800
