=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Kan-Ru Chen <koster@debian.org>
 Build-Depends: debhelper (>= 8.0.0), yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sozi.baierouge.fr/wiki/en:welcome
 Vcs-Git: git://git.debian.org/collab-maint/sozi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sozi.git;a=summary
 
 Package: sozi
 Architecture: all
-Depends: ${misc:Depends}, inkscape, python, python-gtk2
+Depends: ${misc:Depends}, inkscape, python, python-gtk2, python-lxml
 Description: inkscape extension for creating animated presentations
  Unlike in most presentation applications, a Sozi document is not
  organized as a slideshow, but rather as a poster where the content of
