=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 override_dh_auto_build:
 	mkdir release
-	make
+	make build
 
 override_dh_auto_clean:
 	rm -rf release
@@ -15,3 +15,15 @@
 
 %:
 	dh $@ 
+
+VER ?= 12.05
+get-orig-source:
+	rm -rf sozi-$(VER).orig
+	mkdir sozi-$(VER).orig
+	wget -O - https://github.com/senshu/Sozi/tarball/$(VER) | tar --strip-components=1 -xz -C sozi-$(VER).orig
+	rm -rf sozi-$(VER).orig/editors/svg-edit
+	GZIP=--best tar -cz --owner root --group root --mode a+rX \
+			-f sozi_$(VER).orig.tar.gz \
+			sozi-$(VER).orig
+	rm -r sozi-$(VER).orig
+
