=== debian/watch ===
version=3
http://sozi.baierouge.fr/wiki/en:install https://github.*sozi-release-(.*)-\d+.zip
